> ## Documentation Index
> Fetch the complete documentation index at: https://docs.oneclickdz.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Lister les Recharges Internet

> Obtenez une liste paginée des transactions de recharge internet

## Vue d'ensemble

Retourne une liste paginée de toutes les transactions de recharge internet avec filtrage optionnel par date.

## Paramètres de requête

<ParamField query="page" type="integer" default={1}>
  Numéro de page (minimum : 1)
</ParamField>

<ParamField query="pageSize" type="integer" default={20}>
  Éléments par page (minimum : 1, maximum : 100)
</ParamField>

<ParamField query="from" type="string">
  Date de début (ISO 8601)
</ParamField>

<ParamField query="to" type="string">
  Date de fin (ISO 8601)
</ParamField>

## Exemples

<CodeGroup>
  ```bash cURL theme={null}
  curl "https://api.oneclickdz.com/v3/internet/list?page=1&pageSize=20" \
    -H "X-Access-Token: YOUR_API_KEY"
  ```

  ```javascript Node.js theme={null}
  const response = await fetch(
    "https://api.oneclickdz.com/v3/internet/list?page=1&pageSize=20",
    { headers: { "X-Access-Token": "YOUR_API_KEY" } }
  );
  const { data } = await response.json();
  ```

  ```python Python theme={null}
  response = requests.get(
      'https://api.oneclickdz.com/v3/internet/list',
      headers={'X-Access-Token': 'YOUR_API_KEY'},
      params={'page': 1, 'pageSize': 20}
  )
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init();
  $url = 'https://api.oneclickdz.com/v3/internet/list?page=1&pageSize=20';
  curl_setopt($ch, CURLOPT_URL, $url);
  curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
  curl_setopt($ch, CURLOPT_HTTPHEADER, ['X-Access-Token: YOUR_API_KEY']);
  $response = curl_exec($ch);
  $data = json_decode($response, true);
  ?>
  ```
</CodeGroup>

### Exemple de réponse

```json theme={null}
{
  "success": true,
  "data": {
    "topups": [
      {
        "_id": "6901616fe9e88196b4eb64b2",
        "ref": "internet-order-001",
        "status": "FULFILLED",
        "type": "ADSL",
        "number": "036362608",
        "topup_amount": 1000,
        "card_code": "123456789012",
        "num_trans": "AT-2025-12345",
        "created_at": "2025-10-29T01:00:00.000Z"
      }
    ]
  },
  "meta": {
    "pagination": {
      "currentPage": 1,
      "totalPages": 5,
      "totalItems": 87,
      "hasNextPage": true
    }
  }
}
```

## Liens utiles

<CardGroup cols={2}>
  <Card title="Envoyer une Recharge" href="/fr/api-reference/internet/send-topup">
    Créer une nouvelle commande
  </Card>

  <Card title="Lister les Produits" href="/fr/api-reference/internet/list-products">
    Cartes disponibles
  </Card>
</CardGroup>
